Package org.eclipse.m2m.atl.adt.ui.wizard.atlplugin

# Class AtlPluginScreen

java.lang.Object
org.eclipse.jface.dialogs.DialogPage
org.eclipse.jface.wizard.WizardPage
org.eclipse.m2m.atl.adt.ui.wizard.atlplugin.AtlPluginScreen

All Implemented Interfaces:
  `org.eclipse.jface.dialogs.IDialogPage`, `org.eclipse.jface.dialogs.IMessageProvider`, `org.eclipse.jface.wizard.IWizardPage`

public class AtlPluginScreen extends org.eclipse.jface.wizard.WizardPage
The ATL plugin initialization wizard page.

## Field Summary

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

## Constructor Summary

Constructors
Constructor
Description
`AtlPluginScreen(org.eclipse.core.resources.IFile atlFile)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`createControl(org.eclipse.swt.widgets.Composite parent)`
`CreateRunnableData`
`getRunnableData()`

### Methods inherited from class org.eclipse.jface.wizard.WizardPage

`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage, setVisible`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp, setVisible`

### Methods inherited from interface org.eclipse.jface.wizard.IWizardPage

`getMinimumPageSize`

## Constructor Details

### AtlPluginScreen

public AtlPluginScreen(org.eclipse.core.resources.IFile atlFile)
Constructor.

Parameters:
  `atlFile` - the selected file if present.

## Method Details

### createControl

public void createControl(org.eclipse.swt.widgets.Composite parent)

See Also:
  - `IDialogPage.createControl(org.eclipse.swt.widgets.Composite)`

### getRunnableData

public CreateRunnableData getRunnableData()